TcpSender (Apache Tomcat 8.5.89 API Documentation)

Package org.apache.catalina.ha.backend

## Class TcpSender

- java.lang.Object
- - org.apache.catalina.ha.backend.TcpSender

- All Implemented Interfaces:
    `Sender`

      public class TcpSender
      extends java.lang.Object
      implements Sender

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.io.BufferedReader[]` | `connectionReaders` |
    `protected java.net.Socket[]` | `connections` | Active connections.
    `protected java.io.BufferedWriter[]` | `connectionWriters` |
    `protected Proxy[]` | `proxies` | Proxies.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TcpSender()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `close​(int i)` | Close connection.
    `void` | `init​(HeartbeatListener config)` | Set the configuration parameters
    `int` | `send​(java.lang.String mess)` | Send the message to the proxies

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### proxies

          protected Proxy[] proxies

      Proxies.

    - #### connections

          protected java.net.Socket[] connections

      Active connections.

    - #### connectionReaders

          protected java.io.BufferedReader[] connectionReaders

    - #### connectionWriters

          protected java.io.BufferedWriter[] connectionWriters

  - ### Constructor Detail

    - #### TcpSender

          public TcpSender()

  - ### Method Detail

    - #### init

          public void init​(HeartbeatListener config)
                    throws java.lang.Exception

      Description copied from interface: `Sender`
      Set the configuration parameters
      Specified by:
        `init` in interface `Sender`
      Parameters:
        `config` - The heartbeat listener configuration
      Throws:
        `java.lang.Exception` - An error occurred

    - #### send

          public int send​(java.lang.String mess)
                   throws java.lang.Exception

      Description copied from interface: `Sender`
      Send the message to the proxies
      Specified by:
        `send` in interface `Sender`
      Parameters:
        `mess` - The message that will be sent
      Returns:
        `0` if no error occurred, `-1` otherwise
      Throws:
        `java.lang.Exception` - An error occurred

    - #### close

          protected void close​(int i)

      Close connection.
      Parameters:
        `i` - The index of the connection that will be closed